Results 1 to 6 of 6

Thread: Intel Poulsbo Driver Running On Fedora

Hybrid View

  1. #1
    Join Date
    Jan 2007
    Posts
    15,093

    Default Intel Poulsbo Driver Running On Fedora

    Phoronix: Intel Poulsbo Driver Running On Fedora

    While Intel can be applauded for their open-source work on the xf86-video-intel driver and related components of their Linux driver stack that supports their mainline GMA integrated graphics processors, the driver for their GMA 500 found in select netbooks is a bloody mess. There are binary-only bits within the Poulsbo driver stack, their DDX module is developed outside of the X.Org community and can be hard to even find the driver's package, and it just does not work well.There was even a Poulsbo DRM module that was proposed for integration into the mainline Linux kernel, but that component was denied for inclusion at this time...

    http://www.phoronix.com/vr.php?view=NzI2OA

  2. #2
    Join Date
    Nov 2007
    Location
    Die trolls, die!
    Posts
    525

    Default

    Nice, but a real free driver would be way better.

  3. #3
    Join Date
    Feb 2008
    Posts
    36

    Thumbs down

    Don't forget that the code for hardware accelerated video decoding for Poulsbo is also missing

    ...even though the Poulsbo hardware supports H.264, WMV9, and VC-1 decoding.


  4. #4

    Default

    gamester17: no, it isn't. That bit is present in my build of the Ubuntu driver. I just haven't tested it yet because I haven't got around to building the patched mplayer that *supports* the video playback acceleration (you need support both in the driver and the video player application). According to the Ubuntu forums, the video playback acceleration does work very well once you get the right bits installed.

    bugmenot: indeed it would, but I'm a packager not a coder, so this is the best I can do :\ some coders are working on an open driver.

  5. #5

    Default

    Is it worth noting that this article does not seem to mention that it is working for Ubuntu Jaunty? It seems odd to me, to say that it was made to work for Fedora when they have never said that it was working for Ubuntu in the first place.

    @AdamW aren't the packages for Jaunty what you used for your Fedora packages?

  6. #6

    Default

    yep, indeed they are.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •